# SDK Apps

## List Apps

> Retrieves a collection of all apps available to the authenticated user.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps":{"get":{"tags":["SDK Apps"],"summary":"List Apps","description":"Retrieves a collection of all apps available to the authenticated user.","parameters":[{"name":"opensource","in":"query","schema":{"type":"boolean"},"description":"If set to `true`, this parameter returns apps available to all users. If set to `false`, it retrieves the apps available to the authenticated user."},{"name":"cols[]","in":"query","schema":{"type":"array","items":{"type":"string","enum":["name","label","description","version","versionFull","beta","theme","public","modules","approved","inReview","changes","opensource","origin"]}},"description":"Specifies the group of values to return. For example, you may want to retrieve only the names of the available apps."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"apps":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"version":{"type":"integer"},"versionFull":{"type":"string"},"beta":{"type":"boolean"},"description":{"type":"string"},"theme":{"type":"string"},"public":{"type":"boolean"},"approved":{"type":"boolean"},"in_review":{"type":"boolean"},"modules":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"description":{"type":"string"},"type":{"type":"integer"},"public":{"type":"boolean"}}}},"opensource":{"type":"boolean"},"changes":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"table":{"type":"string"},"name":{"type":"string"},"column":{"type":"string"}}}}}}}}}}}}}}}}}
```

## Create App

> Creates a new app with data passed in the request body. In the response, it returns all details of the created app.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps":{"post":{"tags":["SDK Apps"],"summary":"Create App","description":"Creates a new app with data passed in the request body. In the response, it returns all details of the created app.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"app":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"description":{"type":"string"},"version":{"type":"integer"},"beta":{"type":"boolean"},"theme":{"type":"string","format":"color"},"language":{"type":"string"},"public":{"type":"boolean"},"approved":{"type":"boolean"},"global":{"type":"boolean"},"countries":{"type":"array","items":{}},"created":{"type":"string","format":"date-time"},"manifestVersion":{"type":"integer"}}}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"app":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"version":{"type":"integer"},"theme":{"type":"string"},"public":{"type":"boolean"},"approved":{"type":"boolean"}}}}}}}}}}}}}
```

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}

> Get App

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}":{"get":{"tags":["SDK Apps"],"summary":"Get App","description":"","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true},{"name":"cols[]","in":"query","schema":{"type":"array","items":{"type":"string","enum":["name","label","description","theme","version","versionFull","beta","base","docs","language","public","approved","opensource","global","countries","changes","created","compile","compiledName","compilationError","inReview","manifestVersion","inviteToken","groups","installSpec","install","ipmRepo","flags","ipmTags","origin"]}},"description":"Specifies the group of values to return."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"app":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"description":{"type":"string"},"version":{"type":"integer"},"beta":{"type":"boolean"},"theme":{"type":"string","format":"color"},"language":{"type":"string"},"public":{"type":"boolean"},"approved":{"type":"boolean"},"global":{"type":"boolean"},"countries":{"type":"array","items":{}},"created":{"type":"string","format":"date-time"},"manifestVersion":{"type":"integer"}}}}}}}}}}}}}
```

## DELETE /sdk/apps/{SDK\_appName}/{SDK\_appVersion}

> Delete App

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}":{"delete":{"tags":["SDK Apps"],"summary":"Delete App","description":"","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"app":{"type":"string"}}}}}}}}}}}
```

## PATCH /sdk/apps/{SDK\_appName}/{SDK\_appVersion}

> Patch App

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}":{"patch":{"tags":["SDK Apps"],"summary":"Patch App","description":"","requestBody":{"content":{"application/json":{"schema":{"type":"object"}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"app":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"description":{"type":"string"},"version":{"type":"integer"},"theme":{"type":"string","format":"color"},"public":{"type":"boolean"},"approved":{"type":"boolean"}}}}}}}}}}}}}
```

## POST /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/clone

> Clone App

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone":{"post":{"tags":["SDK Apps"],"summary":"Clone App","description":"","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"newName":{"type":"string"},"newVersion":{"type":"integer"}}}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"app":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"description":{"type":"string"},"version":{"type":"integer"},"beta":{"type":"boolean"},"theme":{"type":"string","format":"color"},"language":{"type":"string"},"public":{"type":"boolean"},"approved":{"type":"boolean"},"global":{"type":"boolean"},"countries":{"type":"array","items":{}},"created":{"type":"string","format":"date-time"},"manifestVersion":{"type":"integer"}}}}}}}}}}}}}
```

## Clone App Major Version

> Clones the app to the next major version with the same app name. Requires the "allow\_apps" feature flag to be enabled.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone-major":{"post":{"tags":["SDK Apps"],"summary":"Clone App Major Version","description":"Clones the app to the next major version with the same app name. Requires the \"allow_apps\" feature flag to be enabled.","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"app":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"description":{"type":"string"},"version":{"type":"integer"},"beta":{"type":"boolean"},"theme":{"type":"string","format":"color"},"language":{"type":"string"},"public":{"type":"boolean"},"approved":{"type":"boolean"},"global":{"type":"boolean"},"countries":{"type":"array","items":{}},"created":{"type":"string","format":"date-time"},"manifestVersion":{"type":"integer"}}}}}}}}}}}}}
```

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/review

> Get App Review

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/review":{"get":{"tags":["SDK Apps"],"summary":"Get App Review","description":"","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"review":{"type":"object","properties":{"contactName":{"type":"string"},"contactEmail":{"type":"string","format":"email"},"reviewerName":{"type":"string"},"reviewerEmail":{"type":"string","format":"email"},"codeStatus":{"type":"string"},"testStatus":{"type":"string"},"docsStatus":{"type":"string"}}}}}}}}}}}}}
```

## POST /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/review

> Request Review

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/review":{"post":{"tags":["SDK Apps"],"summary":"Request Review","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true},{"name":"all","in":"query","schema":{"type":"boolean"}},{"name":"Content-Type","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"requested":{"type":"boolean"}}}}}}}}}}}
```

## PUT /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/review/form

> Submit App Review Form

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/review/form":{"put":{"tags":["SDK Apps"],"summary":"Submit App Review Form","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"testingScenarios":{"type":"object"}}}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"form":{"type":"object","properties":{"testingScenarios":{"type":"object","properties":{"hohoho":{"type":"string","format":"url"}}}}}}}}}}}}}}}
```

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/events-log

> Get App Events Log

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/events-log":{"get":{"tags":["SDK Apps"],"summary":"Get App Events Log","description":"","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true},{"name":"cols[]","in":"query","schema":{"type":"array","items":{"type":"string","enum":["id","appName","appVersion","message","detail","authorId","createdAt"]}}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"events":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"appName":{"type":"string"},"appVersion":{"type":"integer"},"message":{"type":"string"},"detail":{"type":"object"},"authorId":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"}}}}}}}}}}}}}}
```

## Get App Common

> Get app client id and client secret.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/common":{"get":{"tags":["SDK Apps"],"summary":"Get App Common","description":"Get app client id and client secret.","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"description":"The numeric version of the app.","required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"description":"The numeric version of the app.","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

## Set app common data

> Sets the common data for the app based on the parameters passed in the request body. In the response, it returns all details of common data. Common data usually contain sensitive information like API keys or API secrets and these details are shared across all modules.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/common":{"put":{"tags":["SDK Apps"],"summary":"Set app common data","description":"Sets the common data for the app based on the parameters passed in the request body. In the response, it returns all details of common data. Common data usually contain sensitive information like API keys or API secrets and these details are shared across all modules.","requestBody":{"content":{"application/json":{"schema":{"type":"object","description":"The JSON object containing the common data."}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"description":"The name of the app.","required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"description":"The app version.","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"changed":{"type":"boolean"}}}}}}}}}}}
```

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/readme

> Get App Docs

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme":{"get":{"tags":["SDK Apps"],"summary":"Get App Docs","description":"","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true},{"name":"all","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Successful response","content":{"text/markdown":{"schema":{"type":"string"}}}}}}}}}
```

## PUT /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/readme

> Set App Docs

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme":{"put":{"tags":["SDK Apps"],"summary":"Set App Docs","description":"","requestBody":{"content":{"text/markdown":{"schema":{"type":"string"}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"all","in":"query","schema":{"type":"boolean"}},{"name":"Content-Type","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"changed":{"type":"boolean"}}}}}}}}}}}
```

## Set App Base

> Set app base configuration.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/base":{"post":{"tags":["SDK Apps"],"summary":"Set App Base","description":"Set app base configuration.\n","requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"additionalProperties":false,"type":"object","properties":{"url":{"minLength":1,"maxLength":512,"description":"Request URL","type":"string"},"baseUrl":{"minLength":1,"maxLength":512,"description":"Base URL for endpoints starting with /","type":"string"},"encodeUrl":{"default":true,"description":"This directive controls the encoding of URLs. It is on by default, so if you have any special characters in your URL, they will be automatically encoded. But there might be situations where you don't want your URL to be encoded automatically, or you want to control what parts of the URL are encoded. To do this, set this flag to false.","type":"boolean"},"method":{"description":"This directive specifies the HTTP method that will be used to issue the request.","anyOf":[{"default":"GET","anyOf":[{"enum":["GET"],"type":"string"},{"enum":["POST"],"type":"string"},{"enum":["PUT"],"type":"string"},{"enum":["PATCH"],"type":"string"},{"enum":["DELETE"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"headers":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies headers that will be sent with the request.","type":"object","properties":{}},"qs":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the query string to use when making the request.","type":"object","properties":{}},"ca":{"maxLength":8192,"description":"Custom Certificate Authority","type":"string"},"body":{"description":"This directive specifies the request body.","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"type":{"anyOf":[{"default":"json","anyOf":[{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["multipart/form-data"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["binary"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"temp":{"additionalProperties":{},"description":"The temp directive specifies an object, which can be used to create custom temporary variables. It also creates a temp variable in IML, through which you then access your variables. The temp collection is not persisted and will be lost after the module is done executing.","type":"object","properties":{}},"condition":{"default":true,"description":"This directive specifies whether to execute the request or not.","anyOf":[{"type":"boolean"},{"type":"string"},{"additionalProperties":false,"type":"object","properties":{"condition":{"description":"Specifies if to execute the request or not.","anyOf":[{"type":"boolean"},{"type":"string"}]},"default":{"description":"Specifies the module output when the condition is false.","anyOf":[{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"object","properties":{}},{"type":"string"}]}},"required":["condition"]}]},"aws":{"additionalProperties":false,"description":"Helper directive, that will simplify generating AWS signatures.","type":"object","properties":{"key":{"maxLength":512,"description":"AWS key","type":"string"},"secret":{"maxLength":512,"description":"AWS secret","type":"string"},"session":{"maxLength":512,"description":"AWS session. Note that this only works for services that require session as part of the canonical string.","type":"string"},"bucket":{"maxLength":512,"description":"AWS bucket, unless you're specifying your bucket as part of the path, or the request doesn't use a bucket.","type":"string"},"sign_version":{"default":"2","description":"AWS sign version","anyOf":[{"enum":["2"],"type":"string"},{"enum":["4"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}}},"gzip":{"default":false,"description":"Add an Accept-Encoding header to request compressed content encodings from the server (if not already present) and decode supported content encodings in the response.","type":"boolean"},"followRedirects":{"default":true,"description":"This directive specifies whether to follow GET HTTP 3xx responses as redirects or never.","type":"boolean"},"followAllRedirects":{"default":true,"description":"This directive specifies whether to follow non-GET HTTP 3xx responses as redirects or never.","type":"boolean"},"log":{"additionalProperties":false,"description":"This directive specifies logging options for both the request and the response.","type":"object","properties":{"sanitize":{"description":"An array of paths to sanitize when logging request or response.","type":"array","items":{"type":"string"}}}},"oauth":{"additionalProperties":false,"description":"Helper directive, that will simplify generating an OAuth1 Authorization headers.","type":"object","properties":{"consumer_key":{"maxLength":512,"description":"Your consumer key.","type":"string"},"consumer_secret":{"maxLength":512,"description":"Your consumer secret.","type":"string"},"private_key":{"maxLength":512,"description":"Instead of consumer_secret you can specify a private_key string in PEM format.","type":"string"},"token":{"maxLength":512,"description":"An expression that parses the oauth_token string.","type":"string"},"token_secret":{"maxLength":512,"description":"An expression that parses the oauth_token_secret string.","type":"string"},"verifier":{"maxLength":512,"description":"An expression that parses the oauth_verifier string.","type":"string"},"signature_method":{"default":"HMAC-SHA1","description":"Specifies the desired method to use when calculating the signature.","anyOf":[{"enum":["HMAC-SHA1"],"type":"string"},{"enum":["RSA-SHA1"],"type":"string"},{"enum":["PLAINTEXT"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"transport_method":{"default":"header","description":"Specifies how OAuth parameters are sent: via query params, header or in a POST body.","anyOf":[{"enum":["query"],"type":"string"},{"enum":["body"],"type":"string"},{"enum":["header"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"body_hash":{"default":true,"description":"To use Request Body Hash, you can either manually generate it, or you can set this directive to true and the body hash will be generated automatically.","anyOf":[{"type":"string"},{"type":"boolean"}]}}},"pagination":{"additionalProperties":false,"description":"Directive to specify how to process paginated responses.","type":"object","properties":{"mergeWithParent":{"default":true,"description":"This directive specifies if to merge pagination parameters with the original request parameters, or not.","type":"boolean"},"url":{"minLength":1,"maxLength":512,"description":"This directive specifies the URL that will be called when the pagination request is executed.","type":"string"},"method":{"description":"This directive specifies the HTTP method to be used when executing the pagination request.","anyOf":[{"default":"GET","anyOf":[{"enum":["GET"],"type":"string"},{"enum":["POST"],"type":"string"},{"enum":["PUT"],"type":"string"},{"enum":["PATCH"],"type":"string"},{"enum":["DELETE"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"headers":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the request headers to be used when executing the pagination request.","type":"object","properties":{}},"qs":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the request query string parameters to be used when executing the pagination request.","type":"object","properties":{}},"body":{"description":"This directive specifies the request body when the request method is anything but GET to be used when executing the pagination request.","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"condition":{"description":"This directive specifies whether to execute the pagination request or not.","anyOf":[{"type":"boolean"},{"type":"string"}]}}},"response":{"additionalProperties":false,"description":"Response parsing configuration","type":"object","properties":{"type":{"anyOf":[{"additionalProperties":{"anyOf":[{"default":"automatic","anyOf":[{"enum":["automatic"],"type":"string"},{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["binary"],"type":"string"},{"enum":["xml"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"type":"object","properties":{}},{"anyOf":[{"default":"automatic","anyOf":[{"enum":["automatic"],"type":"string"},{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["binary"],"type":"string"},{"enum":["xml"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}]},"valid":{"default":true,"anyOf":[{"type":"boolean"},{"type":"string"},{"additionalProperties":false,"type":"object","properties":{"condition":{"type":"string"},"message":{"type":"string"},"type":{"type":"string"}}}]},"limit":{"anyOf":[{"type":"number"},{"type":"string"}]},"error":{"anyOf":[{"description":"The error directive specifies the error type and the error message to show the user.","anyOf":[{"maxLength":1024,"type":"string"},{"required":["message"],"additionalProperties":{"required":["message"],"additionalProperties":false,"type":"object","properties":{"message":{"description":"An expression that parses an error message from response body.","maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}}},"description":"Error object. You can specify custom errors for different status codes by using the status code as the key (e.g., \"404\", \"500\").","type":"object","properties":{"message":{"description":"An expression that parses an error message from response body.","maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}}}]},{"additionalProperties":{"type":"object","properties":{"message":{"maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}},"required":["message"]},"type":"object","properties":{"message":{"maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}},"required":["message"]}]},"iterate":{"anyOf":[{"maxLength":512,"type":"string"},{"additionalProperties":false,"type":"object","properties":{"container":{"maxLength":512,"type":"string"},"condition":{"anyOf":[{"type":"string"},{"type":"boolean"}]}},"required":["container"]}]},"temp":{"additionalProperties":{},"description":"Temporary variables accessible during execution","type":"object","properties":{}},"output":{"anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"trigger":{"additionalProperties":false,"type":"object","properties":{"type":{"anyOf":[{"enum":["date"],"type":"string"},{"enum":["id"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"order":{"anyOf":[{"enum":["asc"],"type":"string"},{"enum":["desc"],"type":"string"},{"enum":["unordered"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"id":{"maxLength":512,"type":"string"},"date":{"maxLength":512,"type":"string"}},"required":["type","order","id"]},"data":{"additionalProperties":{},"description":"Data saved to connection","type":"object","properties":{}},"metadata":{"additionalProperties":true,"description":"Connection metadata","type":"object","properties":{"value":{"maxLength":512,"type":"string"},"type":{"anyOf":[{"enum":["text"],"type":"string"},{"enum":["email"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}}},"uid":{"description":"User remote service ID","anyOf":[{"type":"string"},{"type":"number"}]},"oauth":{"additionalProperties":false,"description":"Helper directive, that will simplify generating an OAuth1 Authorization headers.","type":"object","properties":{"consumer_key":{"maxLength":512,"description":"Your consumer key.","type":"string"},"consumer_secret":{"maxLength":512,"description":"Your consumer secret.","type":"string"},"private_key":{"maxLength":512,"description":"Instead of consumer_secret you can specify a private_key string in PEM format.","type":"string"},"token":{"maxLength":512,"description":"An expression that parses the oauth_token string.","type":"string"},"token_secret":{"maxLength":512,"description":"An expression that parses the oauth_token_secret string.","type":"string"},"verifier":{"maxLength":512,"description":"An expression that parses the oauth_verifier string.","type":"string"},"signature_method":{"default":"HMAC-SHA1","description":"Specifies the desired method to use when calculating the signature.","anyOf":[{"enum":["HMAC-SHA1"],"type":"string"},{"enum":["RSA-SHA1"],"type":"string"},{"enum":["PLAINTEXT"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"transport_method":{"default":"header","description":"Specifies how OAuth parameters are sent: via query params, header or in a POST body.","anyOf":[{"enum":["query"],"type":"string"},{"enum":["body"],"type":"string"},{"enum":["header"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"body_hash":{"default":true,"description":"To use Request Body Hash, you can either manually generate it, or you can set this directive to true and the body hash will be generated automatically.","anyOf":[{"type":"string"},{"type":"boolean"}]}}},"wrapper":{"default":"{{output}}","description":"Output post-processing wrapper","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"expires":{"minLength":1,"maxLength":512,"description":"Key expiration time for refresh triggers","type":"string"}}}}},{"type":"array","items":{"additionalProperties":false,"type":"object","properties":{"url":{"minLength":1,"maxLength":512,"description":"Request URL","type":"string"},"baseUrl":{"minLength":1,"maxLength":512,"description":"Base URL for endpoints starting with /","type":"string"},"encodeUrl":{"default":true,"description":"This directive controls the encoding of URLs. It is on by default, so if you have any special characters in your URL, they will be automatically encoded. But there might be situations where you don't want your URL to be encoded automatically, or you want to control what parts of the URL are encoded. To do this, set this flag to false.","type":"boolean"},"method":{"description":"This directive specifies the HTTP method that will be used to issue the request.","anyOf":[{"default":"GET","anyOf":[{"enum":["GET"],"type":"string"},{"enum":["POST"],"type":"string"},{"enum":["PUT"],"type":"string"},{"enum":["PATCH"],"type":"string"},{"enum":["DELETE"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"headers":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies headers that will be sent with the request.","type":"object","properties":{}},"qs":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the query string to use when making the request.","type":"object","properties":{}},"ca":{"maxLength":8192,"description":"Custom Certificate Authority","type":"string"},"body":{"description":"This directive specifies the request body.","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"type":{"anyOf":[{"default":"json","anyOf":[{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["multipart/form-data"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["binary"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"temp":{"additionalProperties":{},"description":"The temp directive specifies an object, which can be used to create custom temporary variables. It also creates a temp variable in IML, through which you then access your variables. The temp collection is not persisted and will be lost after the module is done executing.","type":"object","properties":{}},"condition":{"default":true,"description":"This directive specifies whether to execute the request or not.","anyOf":[{"type":"boolean"},{"type":"string"},{"additionalProperties":false,"type":"object","properties":{"condition":{"description":"Specifies if to execute the request or not.","anyOf":[{"type":"boolean"},{"type":"string"}]},"default":{"description":"Specifies the module output when the condition is false.","anyOf":[{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"object","properties":{}},{"type":"string"}]}},"required":["condition"]}]},"aws":{"additionalProperties":false,"description":"Helper directive, that will simplify generating AWS signatures.","type":"object","properties":{"key":{"maxLength":512,"description":"AWS key","type":"string"},"secret":{"maxLength":512,"description":"AWS secret","type":"string"},"session":{"maxLength":512,"description":"AWS session. Note that this only works for services that require session as part of the canonical string.","type":"string"},"bucket":{"maxLength":512,"description":"AWS bucket, unless you're specifying your bucket as part of the path, or the request doesn't use a bucket.","type":"string"},"sign_version":{"default":"2","description":"AWS sign version","anyOf":[{"enum":["2"],"type":"string"},{"enum":["4"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}}},"gzip":{"default":false,"description":"Add an Accept-Encoding header to request compressed content encodings from the server (if not already present) and decode supported content encodings in the response.","type":"boolean"},"followRedirects":{"default":true,"description":"This directive specifies whether to follow GET HTTP 3xx responses as redirects or never.","type":"boolean"},"followAllRedirects":{"default":true,"description":"This directive specifies whether to follow non-GET HTTP 3xx responses as redirects or never.","type":"boolean"},"log":{"additionalProperties":false,"description":"This directive specifies logging options for both the request and the response.","type":"object","properties":{"sanitize":{"description":"An array of paths to sanitize when logging request or response.","type":"array","items":{"type":"string"}}}},"oauth":{"additionalProperties":false,"description":"Helper directive, that will simplify generating an OAuth1 Authorization headers.","type":"object","properties":{"consumer_key":{"maxLength":512,"description":"Your consumer key.","type":"string"},"consumer_secret":{"maxLength":512,"description":"Your consumer secret.","type":"string"},"private_key":{"maxLength":512,"description":"Instead of consumer_secret you can specify a private_key string in PEM format.","type":"string"},"token":{"maxLength":512,"description":"An expression that parses the oauth_token string.","type":"string"},"token_secret":{"maxLength":512,"description":"An expression that parses the oauth_token_secret string.","type":"string"},"verifier":{"maxLength":512,"description":"An expression that parses the oauth_verifier string.","type":"string"},"signature_method":{"default":"HMAC-SHA1","description":"Specifies the desired method to use when calculating the signature.","anyOf":[{"enum":["HMAC-SHA1"],"type":"string"},{"enum":["RSA-SHA1"],"type":"string"},{"enum":["PLAINTEXT"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"transport_method":{"default":"header","description":"Specifies how OAuth parameters are sent: via query params, header or in a POST body.","anyOf":[{"enum":["query"],"type":"string"},{"enum":["body"],"type":"string"},{"enum":["header"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"body_hash":{"default":true,"description":"To use Request Body Hash, you can either manually generate it, or you can set this directive to true and the body hash will be generated automatically.","anyOf":[{"type":"string"},{"type":"boolean"}]}}},"pagination":{"additionalProperties":false,"description":"Directive to specify how to process paginated responses.","type":"object","properties":{"mergeWithParent":{"default":true,"description":"This directive specifies if to merge pagination parameters with the original request parameters, or not.","type":"boolean"},"url":{"minLength":1,"maxLength":512,"description":"This directive specifies the URL that will be called when the pagination request is executed.","type":"string"},"method":{"description":"This directive specifies the HTTP method to be used when executing the pagination request.","anyOf":[{"default":"GET","anyOf":[{"enum":["GET"],"type":"string"},{"enum":["POST"],"type":"string"},{"enum":["PUT"],"type":"string"},{"enum":["PATCH"],"type":"string"},{"enum":["DELETE"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"headers":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the request headers to be used when executing the pagination request.","type":"object","properties":{}},"qs":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the request query string parameters to be used when executing the pagination request.","type":"object","properties":{}},"body":{"description":"This directive specifies the request body when the request method is anything but GET to be used when executing the pagination request.","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"condition":{"description":"This directive specifies whether to execute the pagination request or not.","anyOf":[{"type":"boolean"},{"type":"string"}]}}},"response":{"additionalProperties":false,"description":"Response parsing configuration","type":"object","properties":{"type":{"anyOf":[{"additionalProperties":{"anyOf":[{"default":"automatic","anyOf":[{"enum":["automatic"],"type":"string"},{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["binary"],"type":"string"},{"enum":["xml"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"type":"object","properties":{}},{"anyOf":[{"default":"automatic","anyOf":[{"enum":["automatic"],"type":"string"},{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["binary"],"type":"string"},{"enum":["xml"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}]},"valid":{"default":true,"anyOf":[{"type":"boolean"},{"type":"string"},{"additionalProperties":false,"type":"object","properties":{"condition":{"type":"string"},"message":{"type":"string"},"type":{"type":"string"}}}]},"limit":{"anyOf":[{"type":"number"},{"type":"string"}]},"error":{"anyOf":[{"description":"The error directive specifies the error type and the error message to show the user.","anyOf":[{"maxLength":1024,"type":"string"},{"required":["message"],"additionalProperties":{"required":["message"],"additionalProperties":false,"type":"object","properties":{"message":{"description":"An expression that parses an error message from response body.","maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}}},"description":"Error object. You can specify custom errors for different status codes by using the status code as the key (e.g., \"404\", \"500\").","type":"object","properties":{"message":{"description":"An expression that parses an error message from response body.","maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}}}]},{"additionalProperties":{"type":"object","properties":{"message":{"maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}},"required":["message"]},"type":"object","properties":{"message":{"maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}},"required":["message"]}]},"iterate":{"anyOf":[{"maxLength":512,"type":"string"},{"additionalProperties":false,"type":"object","properties":{"container":{"maxLength":512,"type":"string"},"condition":{"anyOf":[{"type":"string"},{"type":"boolean"}]}},"required":["container"]}]},"temp":{"additionalProperties":{},"description":"Temporary variables accessible during execution","type":"object","properties":{}},"output":{"anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"trigger":{"additionalProperties":false,"type":"object","properties":{"type":{"anyOf":[{"enum":["date"],"type":"string"},{"enum":["id"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"order":{"anyOf":[{"enum":["asc"],"type":"string"},{"enum":["desc"],"type":"string"},{"enum":["unordered"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"id":{"maxLength":512,"type":"string"},"date":{"maxLength":512,"type":"string"}},"required":["type","order","id"]},"data":{"additionalProperties":{},"description":"Data saved to connection","type":"object","properties":{}},"metadata":{"additionalProperties":true,"description":"Connection metadata","type":"object","properties":{"value":{"maxLength":512,"type":"string"},"type":{"anyOf":[{"enum":["text"],"type":"string"},{"enum":["email"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}}},"uid":{"description":"User remote service ID","anyOf":[{"type":"string"},{"type":"number"}]},"oauth":{"additionalProperties":false,"description":"Helper directive, that will simplify generating an OAuth1 Authorization headers.","type":"object","properties":{"consumer_key":{"maxLength":512,"description":"Your consumer key.","type":"string"},"consumer_secret":{"maxLength":512,"description":"Your consumer secret.","type":"string"},"private_key":{"maxLength":512,"description":"Instead of consumer_secret you can specify a private_key string in PEM format.","type":"string"},"token":{"maxLength":512,"description":"An expression that parses the oauth_token string.","type":"string"},"token_secret":{"maxLength":512,"description":"An expression that parses the oauth_token_secret string.","type":"string"},"verifier":{"maxLength":512,"description":"An expression that parses the oauth_verifier string.","type":"string"},"signature_method":{"default":"HMAC-SHA1","description":"Specifies the desired method to use when calculating the signature.","anyOf":[{"enum":["HMAC-SHA1"],"type":"string"},{"enum":["RSA-SHA1"],"type":"string"},{"enum":["PLAINTEXT"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"transport_method":{"default":"header","description":"Specifies how OAuth parameters are sent: via query params, header or in a POST body.","anyOf":[{"enum":["query"],"type":"string"},{"enum":["body"],"type":"string"},{"enum":["header"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"body_hash":{"default":true,"description":"To use Request Body Hash, you can either manually generate it, or you can set this directive to true and the body hash will be generated automatically.","anyOf":[{"type":"string"},{"type":"boolean"}]}}},"wrapper":{"default":"{{output}}","description":"Output post-processing wrapper","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"expires":{"minLength":1,"maxLength":512,"description":"Key expiration time for refresh triggers","type":"string"}}}}}}]}},"application/jsonc":{"schema":{"anyOf":[{"additionalProperties":false,"type":"object","properties":{"url":{"minLength":1,"maxLength":512,"description":"Request URL","type":"string"},"baseUrl":{"minLength":1,"maxLength":512,"description":"Base URL for endpoints starting with /","type":"string"},"encodeUrl":{"default":true,"description":"This directive controls the encoding of URLs. It is on by default, so if you have any special characters in your URL, they will be automatically encoded. But there might be situations where you don't want your URL to be encoded automatically, or you want to control what parts of the URL are encoded. To do this, set this flag to false.","type":"boolean"},"method":{"description":"This directive specifies the HTTP method that will be used to issue the request.","anyOf":[{"default":"GET","anyOf":[{"enum":["GET"],"type":"string"},{"enum":["POST"],"type":"string"},{"enum":["PUT"],"type":"string"},{"enum":["PATCH"],"type":"string"},{"enum":["DELETE"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"headers":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies headers that will be sent with the request.","type":"object","properties":{}},"qs":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the query string to use when making the request.","type":"object","properties":{}},"ca":{"maxLength":8192,"description":"Custom Certificate Authority","type":"string"},"body":{"description":"This directive specifies the request body.","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"type":{"anyOf":[{"default":"json","anyOf":[{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["multipart/form-data"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["binary"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"temp":{"additionalProperties":{},"description":"The temp directive specifies an object, which can be used to create custom temporary variables. It also creates a temp variable in IML, through which you then access your variables. The temp collection is not persisted and will be lost after the module is done executing.","type":"object","properties":{}},"condition":{"default":true,"description":"This directive specifies whether to execute the request or not.","anyOf":[{"type":"boolean"},{"type":"string"},{"additionalProperties":false,"type":"object","properties":{"condition":{"description":"Specifies if to execute the request or not.","anyOf":[{"type":"boolean"},{"type":"string"}]},"default":{"description":"Specifies the module output when the condition is false.","anyOf":[{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"object","properties":{}},{"type":"string"}]}},"required":["condition"]}]},"aws":{"additionalProperties":false,"description":"Helper directive, that will simplify generating AWS signatures.","type":"object","properties":{"key":{"maxLength":512,"description":"AWS key","type":"string"},"secret":{"maxLength":512,"description":"AWS secret","type":"string"},"session":{"maxLength":512,"description":"AWS session. Note that this only works for services that require session as part of the canonical string.","type":"string"},"bucket":{"maxLength":512,"description":"AWS bucket, unless you're specifying your bucket as part of the path, or the request doesn't use a bucket.","type":"string"},"sign_version":{"default":"2","description":"AWS sign version","anyOf":[{"enum":["2"],"type":"string"},{"enum":["4"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}}},"gzip":{"default":false,"description":"Add an Accept-Encoding header to request compressed content encodings from the server (if not already present) and decode supported content encodings in the response.","type":"boolean"},"followRedirects":{"default":true,"description":"This directive specifies whether to follow GET HTTP 3xx responses as redirects or never.","type":"boolean"},"followAllRedirects":{"default":true,"description":"This directive specifies whether to follow non-GET HTTP 3xx responses as redirects or never.","type":"boolean"},"log":{"additionalProperties":false,"description":"This directive specifies logging options for both the request and the response.","type":"object","properties":{"sanitize":{"description":"An array of paths to sanitize when logging request or response.","type":"array","items":{"type":"string"}}}},"oauth":{"additionalProperties":false,"description":"Helper directive, that will simplify generating an OAuth1 Authorization headers.","type":"object","properties":{"consumer_key":{"maxLength":512,"description":"Your consumer key.","type":"string"},"consumer_secret":{"maxLength":512,"description":"Your consumer secret.","type":"string"},"private_key":{"maxLength":512,"description":"Instead of consumer_secret you can specify a private_key string in PEM format.","type":"string"},"token":{"maxLength":512,"description":"An expression that parses the oauth_token string.","type":"string"},"token_secret":{"maxLength":512,"description":"An expression that parses the oauth_token_secret string.","type":"string"},"verifier":{"maxLength":512,"description":"An expression that parses the oauth_verifier string.","type":"string"},"signature_method":{"default":"HMAC-SHA1","description":"Specifies the desired method to use when calculating the signature.","anyOf":[{"enum":["HMAC-SHA1"],"type":"string"},{"enum":["RSA-SHA1"],"type":"string"},{"enum":["PLAINTEXT"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"transport_method":{"default":"header","description":"Specifies how OAuth parameters are sent: via query params, header or in a POST body.","anyOf":[{"enum":["query"],"type":"string"},{"enum":["body"],"type":"string"},{"enum":["header"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"body_hash":{"default":true,"description":"To use Request Body Hash, you can either manually generate it, or you can set this directive to true and the body hash will be generated automatically.","anyOf":[{"type":"string"},{"type":"boolean"}]}}},"pagination":{"additionalProperties":false,"description":"Directive to specify how to process paginated responses.","type":"object","properties":{"mergeWithParent":{"default":true,"description":"This directive specifies if to merge pagination parameters with the original request parameters, or not.","type":"boolean"},"url":{"minLength":1,"maxLength":512,"description":"This directive specifies the URL that will be called when the pagination request is executed.","type":"string"},"method":{"description":"This directive specifies the HTTP method to be used when executing the pagination request.","anyOf":[{"default":"GET","anyOf":[{"enum":["GET"],"type":"string"},{"enum":["POST"],"type":"string"},{"enum":["PUT"],"type":"string"},{"enum":["PATCH"],"type":"string"},{"enum":["DELETE"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"headers":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the request headers to be used when executing the pagination request.","type":"object","properties":{}},"qs":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the request query string parameters to be used when executing the pagination request.","type":"object","properties":{}},"body":{"description":"This directive specifies the request body when the request method is anything but GET to be used when executing the pagination request.","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"condition":{"description":"This directive specifies whether to execute the pagination request or not.","anyOf":[{"type":"boolean"},{"type":"string"}]}}},"response":{"additionalProperties":false,"description":"Response parsing configuration","type":"object","properties":{"type":{"anyOf":[{"additionalProperties":{"anyOf":[{"default":"automatic","anyOf":[{"enum":["automatic"],"type":"string"},{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["binary"],"type":"string"},{"enum":["xml"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"type":"object","properties":{}},{"anyOf":[{"default":"automatic","anyOf":[{"enum":["automatic"],"type":"string"},{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["binary"],"type":"string"},{"enum":["xml"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}]},"valid":{"default":true,"anyOf":[{"type":"boolean"},{"type":"string"},{"additionalProperties":false,"type":"object","properties":{"condition":{"type":"string"},"message":{"type":"string"},"type":{"type":"string"}}}]},"limit":{"anyOf":[{"type":"number"},{"type":"string"}]},"error":{"anyOf":[{"description":"The error directive specifies the error type and the error message to show the user.","anyOf":[{"maxLength":1024,"type":"string"},{"required":["message"],"additionalProperties":{"required":["message"],"additionalProperties":false,"type":"object","properties":{"message":{"description":"An expression that parses an error message from response body.","maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}}},"description":"Error object. You can specify custom errors for different status codes by using the status code as the key (e.g., \"404\", \"500\").","type":"object","properties":{"message":{"description":"An expression that parses an error message from response body.","maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}}}]},{"additionalProperties":{"type":"object","properties":{"message":{"maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}},"required":["message"]},"type":"object","properties":{"message":{"maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}},"required":["message"]}]},"iterate":{"anyOf":[{"maxLength":512,"type":"string"},{"additionalProperties":false,"type":"object","properties":{"container":{"maxLength":512,"type":"string"},"condition":{"anyOf":[{"type":"string"},{"type":"boolean"}]}},"required":["container"]}]},"temp":{"additionalProperties":{},"description":"Temporary variables accessible during execution","type":"object","properties":{}},"output":{"anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"trigger":{"additionalProperties":false,"type":"object","properties":{"type":{"anyOf":[{"enum":["date"],"type":"string"},{"enum":["id"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"order":{"anyOf":[{"enum":["asc"],"type":"string"},{"enum":["desc"],"type":"string"},{"enum":["unordered"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"id":{"maxLength":512,"type":"string"},"date":{"maxLength":512,"type":"string"}},"required":["type","order","id"]},"data":{"additionalProperties":{},"description":"Data saved to connection","type":"object","properties":{}},"metadata":{"additionalProperties":true,"description":"Connection metadata","type":"object","properties":{"value":{"maxLength":512,"type":"string"},"type":{"anyOf":[{"enum":["text"],"type":"string"},{"enum":["email"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}}},"uid":{"description":"User remote service ID","anyOf":[{"type":"string"},{"type":"number"}]},"oauth":{"additionalProperties":false,"description":"Helper directive, that will simplify generating an OAuth1 Authorization headers.","type":"object","properties":{"consumer_key":{"maxLength":512,"description":"Your consumer key.","type":"string"},"consumer_secret":{"maxLength":512,"description":"Your consumer secret.","type":"string"},"private_key":{"maxLength":512,"description":"Instead of consumer_secret you can specify a private_key string in PEM format.","type":"string"},"token":{"maxLength":512,"description":"An expression that parses the oauth_token string.","type":"string"},"token_secret":{"maxLength":512,"description":"An expression that parses the oauth_token_secret string.","type":"string"},"verifier":{"maxLength":512,"description":"An expression that parses the oauth_verifier string.","type":"string"},"signature_method":{"default":"HMAC-SHA1","description":"Specifies the desired method to use when calculating the signature.","anyOf":[{"enum":["HMAC-SHA1"],"type":"string"},{"enum":["RSA-SHA1"],"type":"string"},{"enum":["PLAINTEXT"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"transport_method":{"default":"header","description":"Specifies how OAuth parameters are sent: via query params, header or in a POST body.","anyOf":[{"enum":["query"],"type":"string"},{"enum":["body"],"type":"string"},{"enum":["header"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"body_hash":{"default":true,"description":"To use Request Body Hash, you can either manually generate it, or you can set this directive to true and the body hash will be generated automatically.","anyOf":[{"type":"string"},{"type":"boolean"}]}}},"wrapper":{"default":"{{output}}","description":"Output post-processing wrapper","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"expires":{"minLength":1,"maxLength":512,"description":"Key expiration time for refresh triggers","type":"string"}}}}},{"type":"array","items":{"additionalProperties":false,"type":"object","properties":{"url":{"minLength":1,"maxLength":512,"description":"Request URL","type":"string"},"baseUrl":{"minLength":1,"maxLength":512,"description":"Base URL for endpoints starting with /","type":"string"},"encodeUrl":{"default":true,"description":"This directive controls the encoding of URLs. It is on by default, so if you have any special characters in your URL, they will be automatically encoded. But there might be situations where you don't want your URL to be encoded automatically, or you want to control what parts of the URL are encoded. To do this, set this flag to false.","type":"boolean"},"method":{"description":"This directive specifies the HTTP method that will be used to issue the request.","anyOf":[{"default":"GET","anyOf":[{"enum":["GET"],"type":"string"},{"enum":["POST"],"type":"string"},{"enum":["PUT"],"type":"string"},{"enum":["PATCH"],"type":"string"},{"enum":["DELETE"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"headers":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies headers that will be sent with the request.","type":"object","properties":{}},"qs":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the query string to use when making the request.","type":"object","properties":{}},"ca":{"maxLength":8192,"description":"Custom Certificate Authority","type":"string"},"body":{"description":"This directive specifies the request body.","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"type":{"anyOf":[{"default":"json","anyOf":[{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["multipart/form-data"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["binary"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"temp":{"additionalProperties":{},"description":"The temp directive specifies an object, which can be used to create custom temporary variables. It also creates a temp variable in IML, through which you then access your variables. The temp collection is not persisted and will be lost after the module is done executing.","type":"object","properties":{}},"condition":{"default":true,"description":"This directive specifies whether to execute the request or not.","anyOf":[{"type":"boolean"},{"type":"string"},{"additionalProperties":false,"type":"object","properties":{"condition":{"description":"Specifies if to execute the request or not.","anyOf":[{"type":"boolean"},{"type":"string"}]},"default":{"description":"Specifies the module output when the condition is false.","anyOf":[{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"object","properties":{}},{"type":"string"}]}},"required":["condition"]}]},"aws":{"additionalProperties":false,"description":"Helper directive, that will simplify generating AWS signatures.","type":"object","properties":{"key":{"maxLength":512,"description":"AWS key","type":"string"},"secret":{"maxLength":512,"description":"AWS secret","type":"string"},"session":{"maxLength":512,"description":"AWS session. Note that this only works for services that require session as part of the canonical string.","type":"string"},"bucket":{"maxLength":512,"description":"AWS bucket, unless you're specifying your bucket as part of the path, or the request doesn't use a bucket.","type":"string"},"sign_version":{"default":"2","description":"AWS sign version","anyOf":[{"enum":["2"],"type":"string"},{"enum":["4"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}}},"gzip":{"default":false,"description":"Add an Accept-Encoding header to request compressed content encodings from the server (if not already present) and decode supported content encodings in the response.","type":"boolean"},"followRedirects":{"default":true,"description":"This directive specifies whether to follow GET HTTP 3xx responses as redirects or never.","type":"boolean"},"followAllRedirects":{"default":true,"description":"This directive specifies whether to follow non-GET HTTP 3xx responses as redirects or never.","type":"boolean"},"log":{"additionalProperties":false,"description":"This directive specifies logging options for both the request and the response.","type":"object","properties":{"sanitize":{"description":"An array of paths to sanitize when logging request or response.","type":"array","items":{"type":"string"}}}},"oauth":{"additionalProperties":false,"description":"Helper directive, that will simplify generating an OAuth1 Authorization headers.","type":"object","properties":{"consumer_key":{"maxLength":512,"description":"Your consumer key.","type":"string"},"consumer_secret":{"maxLength":512,"description":"Your consumer secret.","type":"string"},"private_key":{"maxLength":512,"description":"Instead of consumer_secret you can specify a private_key string in PEM format.","type":"string"},"token":{"maxLength":512,"description":"An expression that parses the oauth_token string.","type":"string"},"token_secret":{"maxLength":512,"description":"An expression that parses the oauth_token_secret string.","type":"string"},"verifier":{"maxLength":512,"description":"An expression that parses the oauth_verifier string.","type":"string"},"signature_method":{"default":"HMAC-SHA1","description":"Specifies the desired method to use when calculating the signature.","anyOf":[{"enum":["HMAC-SHA1"],"type":"string"},{"enum":["RSA-SHA1"],"type":"string"},{"enum":["PLAINTEXT"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"transport_method":{"default":"header","description":"Specifies how OAuth parameters are sent: via query params, header or in a POST body.","anyOf":[{"enum":["query"],"type":"string"},{"enum":["body"],"type":"string"},{"enum":["header"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"body_hash":{"default":true,"description":"To use Request Body Hash, you can either manually generate it, or you can set this directive to true and the body hash will be generated automatically.","anyOf":[{"type":"string"},{"type":"boolean"}]}}},"pagination":{"additionalProperties":false,"description":"Directive to specify how to process paginated responses.","type":"object","properties":{"mergeWithParent":{"default":true,"description":"This directive specifies if to merge pagination parameters with the original request parameters, or not.","type":"boolean"},"url":{"minLength":1,"maxLength":512,"description":"This directive specifies the URL that will be called when the pagination request is executed.","type":"string"},"method":{"description":"This directive specifies the HTTP method to be used when executing the pagination request.","anyOf":[{"default":"GET","anyOf":[{"enum":["GET"],"type":"string"},{"enum":["POST"],"type":"string"},{"enum":["PUT"],"type":"string"},{"enum":["PATCH"],"type":"string"},{"enum":["DELETE"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"headers":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the request headers to be used when executing the pagination request.","type":"object","properties":{}},"qs":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the request query string parameters to be used when executing the pagination request.","type":"object","properties":{}},"body":{"description":"This directive specifies the request body when the request method is anything but GET to be used when executing the pagination request.","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"condition":{"description":"This directive specifies whether to execute the pagination request or not.","anyOf":[{"type":"boolean"},{"type":"string"}]}}},"response":{"additionalProperties":false,"description":"Response parsing configuration","type":"object","properties":{"type":{"anyOf":[{"additionalProperties":{"anyOf":[{"default":"automatic","anyOf":[{"enum":["automatic"],"type":"string"},{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["binary"],"type":"string"},{"enum":["xml"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"type":"object","properties":{}},{"anyOf":[{"default":"automatic","anyOf":[{"enum":["automatic"],"type":"string"},{"enum":["json"],"type":"string"},{"enum":["urlencoded"],"type":"string"},{"enum":["text"],"type":"string"},{"enum":["raw"],"type":"string"},{"enum":["string"],"type":"string"},{"enum":["binary"],"type":"string"},{"enum":["xml"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}]},"valid":{"default":true,"anyOf":[{"type":"boolean"},{"type":"string"},{"additionalProperties":false,"type":"object","properties":{"condition":{"type":"string"},"message":{"type":"string"},"type":{"type":"string"}}}]},"limit":{"anyOf":[{"type":"number"},{"type":"string"}]},"error":{"anyOf":[{"description":"The error directive specifies the error type and the error message to show the user.","anyOf":[{"maxLength":1024,"type":"string"},{"required":["message"],"additionalProperties":{"required":["message"],"additionalProperties":false,"type":"object","properties":{"message":{"description":"An expression that parses an error message from response body.","maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}}},"description":"Error object. You can specify custom errors for different status codes by using the status code as the key (e.g., \"404\", \"500\").","type":"object","properties":{"message":{"description":"An expression that parses an error message from response body.","maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}}}]},{"additionalProperties":{"type":"object","properties":{"message":{"maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}},"required":["message"]},"type":"object","properties":{"message":{"maxLength":1024,"type":"string"},"type":{"default":"RuntimeError","anyOf":[{"enum":["RuntimeError"],"type":"string"},{"enum":["DataError"],"type":"string"},{"enum":["RateLimitError"],"type":"string"},{"enum":["OutOfSpaceError"],"type":"string"},{"enum":["ConnectionError"],"type":"string"},{"enum":["InvalidConfigurationError"],"type":"string"},{"enum":["InvalidAccessTokenError"],"type":"string"},{"enum":["IncompleteDataError"],"type":"string"},{"enum":["DuplicateDataError"],"type":"string"}]}},"required":["message"]}]},"iterate":{"anyOf":[{"maxLength":512,"type":"string"},{"additionalProperties":false,"type":"object","properties":{"container":{"maxLength":512,"type":"string"},"condition":{"anyOf":[{"type":"string"},{"type":"boolean"}]}},"required":["container"]}]},"temp":{"additionalProperties":{},"description":"Temporary variables accessible during execution","type":"object","properties":{}},"output":{"anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"trigger":{"additionalProperties":false,"type":"object","properties":{"type":{"anyOf":[{"enum":["date"],"type":"string"},{"enum":["id"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"order":{"anyOf":[{"enum":["asc"],"type":"string"},{"enum":["desc"],"type":"string"},{"enum":["unordered"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"id":{"maxLength":512,"type":"string"},"date":{"maxLength":512,"type":"string"}},"required":["type","order","id"]},"data":{"additionalProperties":{},"description":"Data saved to connection","type":"object","properties":{}},"metadata":{"additionalProperties":true,"description":"Connection metadata","type":"object","properties":{"value":{"maxLength":512,"type":"string"},"type":{"anyOf":[{"enum":["text"],"type":"string"},{"enum":["email"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]}}},"uid":{"description":"User remote service ID","anyOf":[{"type":"string"},{"type":"number"}]},"oauth":{"additionalProperties":false,"description":"Helper directive, that will simplify generating an OAuth1 Authorization headers.","type":"object","properties":{"consumer_key":{"maxLength":512,"description":"Your consumer key.","type":"string"},"consumer_secret":{"maxLength":512,"description":"Your consumer secret.","type":"string"},"private_key":{"maxLength":512,"description":"Instead of consumer_secret you can specify a private_key string in PEM format.","type":"string"},"token":{"maxLength":512,"description":"An expression that parses the oauth_token string.","type":"string"},"token_secret":{"maxLength":512,"description":"An expression that parses the oauth_token_secret string.","type":"string"},"verifier":{"maxLength":512,"description":"An expression that parses the oauth_verifier string.","type":"string"},"signature_method":{"default":"HMAC-SHA1","description":"Specifies the desired method to use when calculating the signature.","anyOf":[{"enum":["HMAC-SHA1"],"type":"string"},{"enum":["RSA-SHA1"],"type":"string"},{"enum":["PLAINTEXT"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"transport_method":{"default":"header","description":"Specifies how OAuth parameters are sent: via query params, header or in a POST body.","anyOf":[{"enum":["query"],"type":"string"},{"enum":["body"],"type":"string"},{"enum":["header"],"type":"string"},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"body_hash":{"default":true,"description":"To use Request Body Hash, you can either manually generate it, or you can set this directive to true and the body hash will be generated automatically.","anyOf":[{"type":"string"},{"type":"boolean"}]}}},"wrapper":{"default":"{{output}}","description":"Output post-processing wrapper","anyOf":[{"type":"object","properties":{}},{"type":"array","items":{}},{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"}]},"expires":{"minLength":1,"maxLength":512,"description":"Key expiration time for refresh triggers","type":"string"}}}}}}]}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"integer"},"required":true},{"name":"Content-Type","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"change":{"type":"object"}}}}}}}}}}}
```

## Patch App Base

> Patch app base configuration.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/base":{"patch":{"tags":["SDK Apps"],"summary":"Patch App Base","description":"Patch app base configuration.\n","requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"additionalProperties":false,"type":"object","properties":{"url":{"minLength":1,"maxLength":512,"description":"Request URL","type":"string"},"baseUrl":{"minLength":1,"maxLength":512,"description":"Base URL for endpoints starting with /","type":"string"},"encodeUrl":{"default":true,"description":"This directive controls the encoding of URLs. It is on by default, so if you have any special characters in your URL, they will be automatically encoded. But there might be situations where you don't want your URL to be encoded automatically, or you want to control what parts of the URL are encoded. To do this, set this flag to false.","type":"boolean"},"method":{"description":"This directive specifies the HTTP method that will be used to issue the request.","anyOf":[{"default":"GET","anyOf":[{"enum":["GET"],"type":"string"},{"enum":["POST"],"type":"string"},{"enum":["PUT"],"type":"string"},{"enum":["PATCH"],"type":"string"},{"enum":["DELETE"],"type":"string"}]},{"pattern":"^.*[{][{].*[}][}].*$","type":"string"}]},"headers":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies headers that will be sent with the request.","type":"object","properties":{}},"qs":{"additionalProperties":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"string","nullable":true},{"type":"number"},{"type":"string"},{"type":"array","items":{}}]},"description":"This directive specifies the query string to use when making the request.","type":"object","properties":{}},"ca":{"maxLength":8192,"description":"Custom Certificate Authority","type":"string"},"body":{"descript
[...]
